# Einträge veröffentlichen

`POST https://{tenant}.stamp.eu/rest/rosters/{roster}/entries/publish`

Publish a whole day
(date) or an explicit selection (entry_ids) atomically, with the same
compliance gate contract as the roster publish

## Pfadparameter

| Name | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `roster` | string | ja | The roster ID |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `date` | string | nein |
| `force` | boolean | nein |
| `entry_ids` | string[] | nein |

## Antworten

### 200

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | beliebig[] | ja |
| `published_count` | integer | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 403: An error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 404: Not found

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
